Skip to main content
POST
/
push
/
audiences
/
{id}
/
schedule
Schedule a push for an audience
curl --request POST \
  --url https://app.masivo.ai/api/storefront/v1/push/audiences/{id}/schedule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-account-id: <x-account-id>' \
  --data '
{
  "push_template_id": "00000000-0000-4000-8000-000000000003",
  "scheduled_date": "2026-07-03T15:00:00.000Z",
  "label": "Promo julio"
}
'
import requests

url = "https://app.masivo.ai/api/storefront/v1/push/audiences/{id}/schedule"

payload = {
"push_template_id": "00000000-0000-4000-8000-000000000003",
"scheduled_date": "2026-07-03T15:00:00.000Z",
"label": "Promo julio"
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
push_template_id: '00000000-0000-4000-8000-000000000003',
scheduled_date: '2026-07-03T15:00:00.000Z',
label: 'Promo julio'
})
};

fetch('https://app.masivo.ai/api/storefront/v1/push/audiences/{id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "00000000-0000-4000-8000-000000000004",
    "account_id": "00000000-0000-4000-8000-000000000001",
    "scheduled_date": "2026-07-03T15:00:00.000Z",
    "type": "PUSH",
    "status": "SCHEDULED",
    "label": "Promo julio",
    "template_id": "00000000-0000-4000-8000-000000000003",
    "audience_id": "00000000-0000-4000-8000-000000000002",
    "audience_bucket_id": 9,
    "short_urls": []
  }
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required

The account id that owns the audience and push template.

Path Parameters

id
string<uuid>
required

The audience id

Body

application/json
push_template_id
string<uuid>
required

The active push template id to schedule

scheduled_date
string<date-time>

When to send the push. Defaults to now when omitted.

label
string

Optional delivery history label

Maximum string length: 100

Response

Push delivery history scheduled

data
object